- entityDefinitions:
  - IDE_BuildAttributeMethod_View_Start: '{82389c45-1dca-4da5-bc77-a45f673618e2}'
  - IDE_BuildAttributeMethod_Edit_Start: '{07535f4b-f116-4a7e-ba69-f3e0ecdaf7ad}'
  - IDE_BuildAttributeMethod_Select: '{7f842b32-d7b4-42a0-9313-03227fe691f8}'
  
  - IDM_BuildAttributeMethod_View: '{5fe8f3b1-e8e7-4751-8d55-9b8433f09beb}'
  - IDMB_BuildAttributeMethod_View: '{46678e1c-05aa-410d-816c-c7c82011e17b}'
  
  - IDM_BuildAttributeMethod_Edit: '{27c4d1a5-8360-4ab5-b116-153a3933a20a}'
  - IDMB_BuildAttributeMethod_Edit: '{157e36ff-9abe-4cac-a703-06957f591cd3}'

  - IDM_BuildAttributeMethod_Edit_Start: '{523b4d2c-cea4-4be3-9c11-d9d8253978e5}'
  - IDM_BuildAttributeMethod_View_Start: '{4d93286d-64f0-4e07-bd51-18f5dd8fd38f}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_BuildAttributeMethod_View_Start;'
    name: 'BA Method View Start'
    processedByCTMethod: '&IDM_BuildAttributeMethod_View_Start;'
    elementContents:
    - globalIdentifier: '{c3a77a14-0f1c-42bc-bf0e-247a12707307}'
      defaultDataType: '&IDE_BuildAttributeMethod_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  
  - element: '&IDE_BuildAttributeMethod_Edit_Start;'
    name: 'BA Method Edit Start'
    processedByCTMethod: '&IDM_BuildAttributeMethod_Edit_Start;'
    elementContents:
    - globalIdentifier: '{85bd1c2d-ddf9-4cc1-857e-4c7465fd8024}'
      defaultDataType: '&IDE_BuildAttributeMethod_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_BuildAttributeMethod_Select;'
    name: 'BA Method Selection subedit'
    elementContents:
    - globalIdentifier: '{d1807147-6d92-4a48-99ef-77f2774ca402}'
      defaultDataType: '&IDC_BuildAttributeMethod;'

  - controlTransactionMethod: '&IDM_BuildAttributeMethod_Edit_Start;'
    forClassId: '&IDC_BuildAttributeMethod;'
    verb: ''
    name: 'BA Edit Start'
    buildsResponseWithBRMB: '&IDMB_BuildAttributeMethod_Edit;'

  - buildUIResponseMethod: '&IDM_BuildAttributeMethod_Edit;'
    usesExecutableReturningElement: '&IDE_BuildAttributeMethod_Edit;'

  - buildResponseMethodBinding: '&IDMB_BuildAttributeMethod_Edit;'
    executesMethod: '&IDM_BuildAttributeMethod_Edit;'

  - controlTransactionMethod: '&IDM_BuildAttributeMethod_View_Start;'
    forClassId: '&IDC_BuildAttributeMethod;'
    verb: ''
    name: 'BA View Start'
    buildsResponseWithBRMB: '&IDMB_BuildAttributeMethod_View;'

  - buildUIResponseMethod: '&IDM_BuildAttributeMethod_View;'
    usesExecutableReturningElement: '&IDE_BuildAttributeMethod_View;'

  - buildResponseMethodBinding: '&IDMB_BuildAttributeMethod_View;'
    executesMethod: '&IDM_BuildAttributeMethod_View;'